<?php
//v1.4 www.exoops.info 2006/03 
// $Id: reply.php,v 1.3 2003/03/19 07:00:56 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
include_once("header.php");
if (!isset($forum)) {
	redirect_header("index.php", 2, _MD_ERRORFORUM);
	exit();
	} elseif (!isset($topic_id)) {
		redirect_header("viewforum.php?forum=$forum", 2, _MD_ERRORTOPIC);
		exit();
		} elseif (!isset($post_id)) {
			redirect_header("viewtopic.php?topic_id=$topic_id&order=$order&viewmode=$viewmode&pid=$pid&forum=$forum", 2, _MD_ERRORPOST);
			exit();
			} else {
				if (is_locked($topic_id)) {
					redirect_header("viewtopic.php?topic_id=$topic_id&order=$order&viewmode=$viewmode&pid=$pid&forum=$forum", 2, _MD_TOPICLOCKED);
					exit();
				}
			$sql = "SELECT forum_type, forum_name, forum_access, allow_html, allow_sig, posts_per_page, hot_threshold, topics_per_page FROM ".$db->prefix("bb_forums")." WHERE forum_id = $forum";
			if (!$result = $db->query($sql)) {
				redirect_header("index.php", 2, _MD_CANTGETFORUM);
				exit();
			}
	$forumdata = $db->fetchArray($result);
	if ($forumdata['forum_type'] == 1) {
		$accesserror = 0;
		if ( $xoopsUser ) {
			if ( !$xoopsUser->isAdmin($xoopsModule->mid()) ) {
				if ( !check_priv_forum_auth($xoopsUser->uid(), $forum, TRUE) ) {
					$accesserror = 1;
				}
			}
		} else {
			$accesserror = 1;
		}
		if ( $accesserror == 1 ) {
			redirect_header("viewtopic.php?topic_id=$topic_id&post_id=$post_id&order=$order&viewmode=$viewmode&pid=$pid&forum=$forum",2,_MD_NORIGHTTOPOST);
			exit();
		}
	}
	$accesserror = 0;
	if ( $forumdata['forum_access'] == 3 ) {
		if ( $xoopsUser ) {
			if ( !$xoopsUser->isAdmin($xoopsModule->mid()) ) {
				if ( !is_moderator($forum, $xoopsUser->uid()) ) {
					$accesserror = 1;
				}
			}
		} else {
			$accesserror = 1;
		}
	} elseif ( $forumdata['forum_access'] == 1 && !$xoopsUser ) {
		$accesserror = 1;
	}
	if ( $accesserror == 1 ) {
		redirect_header("viewtopic.php?topic_id=$topic_id&post_id=$post_id&order=$order&viewmode=$viewmode&pid=$pid&forum=$forum",2,_MD_NORIGHTTOPOST);
		exit();
	}
	include_once(XOOPS_ROOT_PATH."/header.php");
	OpenTable();
	include_once("class/class.forumposts.php");
	$forumpost  = new ForumPosts($post_id);
	$myts->setType($forumpost->type);
	$r_message  = $forumpost->text();
	$r_date     = formatTimestamp($forumpost->posttime());
	$r_name     = XoopsUser::getUnameFromId($forumpost->uid());
	$r_content  = _MD_BY." ".$r_name." "._MD_ON." ".$r_date."<br /><br />";
	$r_content .= $r_message;
	$r_subject  = $forumpost->subject();
	$subject    = $forumpost->subject("Edit");
	$q_message  = $forumpost->text("Quotes");
	$hidden     = "[quote]\n";
	$hidden    .= sprintf(_MD_USERWROTE, $r_name);
	$hidden    .= "\n".$q_message."[/quote]";
	$message    = "";
	themecenterposts($r_subject, $r_content);
	echo "<br />";
	$pid = $post_id;
	unset($post_id);
	$topic_id = $forumpost->topic();
	$forum    = $forumpost->forum();
	$viewmode = $myts->oopsHtmlSpecialChars($viewmode);
	$isreply  = 1;
	include_once("include/forumform.inc.php");
	CloseTable();
	include_once(XOOPS_ROOT_PATH."/footer.php");
}
?>
